## org.apache.lucene.index
Class IndexFileNameFilter

    java.lang.Object
      org.apache.lucene.index.IndexFileNameFilter

All Implemented Interfaces:
  FilenameFilter

    public class IndexFileNameFilter

extends Object
implements FilenameFilter

Filename filter that accept filenames and extensions only created by Lucene.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary
`boolean` `accept(File dir, String name)`
`static IndexFileNameFilter` `getFilter()`
`boolean` `isCFSFile(String name)` Returns true if this is a file that would be contained in a CFS file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public boolean accept(File dir,
                          String name)

  Specified by:
    `accept` in interface `FilenameFilter`

### isCFSFile

    public boolean isCFSFile(String name)

  Returns true if this is a file that would be contained in a CFS file. This function should only be called on files that pass the above "accept" (ie, are already known to be a Lucene index file).

### getFilter

    public static IndexFileNameFilter getFilter()